camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Akitoshi Yoshida (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-8893) Upgrade to CXF 3.1.x
Date Sat, 11 Jul 2015 11:51:04 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-8893?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14623366#comment-14623366
] 

Akitoshi Yoshida commented on CAMEL-8893:
-----------------------------------------

Hi Claus,
I saw you added some changes. Thanks for fixing the example and itests tests.

You also changed the version range of cxf rom [2.7,4.0) to [3.0,4.0) in parent/pom.xml
I think this was not necessary and I don't think we should change the range at this moment,
as I suppose most cxf 2.7 scenarios that run with camel-2.15 will run with camel-2.16. Is
this a preparation to drop cxf 2.7 in the near future or there is a concrete reason to block
cxf 2.7 from being used with camel 2.16 now?
Thanks.

regards, aki

> Upgrade to CXF 3.1.x
> --------------------
>
>                 Key: CAMEL-8893
>                 URL: https://issues.apache.org/jira/browse/CAMEL-8893
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-cxf
>            Reporter: Claus Ibsen
>            Assignee: Akitoshi Yoshida
>             Fix For: 2.16.0
>
>
> We should upgrade to CXF 3.1.x as it support jetty 9, and we should make jetty 9 as the
default jetty component.
> Jetty 8 is EOL.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message